
#   开发说明\|指南

此文件旨在使后期欲参与开发之人员减轻其开发负担，同时也为了我们正在开发的人员详细说明功能与用法
掌握开发指南之后，在调用函数等的过程中将会更加方便

##  文件结构

从主文件调用display.py以实现显示，调用functions.py以使用功能

functions.py中会调取./addon/目录下的全部功能文件，这些功能文件必须先由./addon/addons.pkl来预先定义好

## 详细说明

### msctLib

用于支持主要功能

#### display.py

1.  class disp
    -   参数
        1.  `**kwgs`对窗口的基础设定
            `{ '组件名称' : 函数自设定 }`
            例如：
            ```python
                {
                    'version': '0.0.1',  # version指的是当前配置格式的版本
                    'title': "音·创",
                    'geometry': '1200x900',
                    'iconbitmap': ('./resources/musicreater.ico', './resources/musicreater.ico'),
                    'menu' : {  #对setMenu有特殊说明
                        '文件': {
                            '新建': lambda : x,
                            '打开': lambda : x,
                        },
                    },
                    'widget': { #对窗口部件又详细说明
                        'wordview':{
                            'text':'言·论',
                            'bg':'black',
                            'fg':'white'
                        },
                        'settingbox':{}, #后文详细说明
                        'tracklist':{},
                        'operation':{},
                        'map':{},
                    },
                }
            ```
    -   函数
        1.  `setMenu`对菜单的基础设定
            ```python
                {
                    菜单名 : {
                        选项名 : 选项函数
                    }
                }
            ```
            注：
            `菜单名` : `str` 显示在菜单上的字符串
            `选项名` : `str` 显示在菜单选项上的字符串
            `选项函数` : `function` 菜单调取的函数(无返回值，无入参)
        2. `setWidget`对窗口部件的放置
            ```python
                wordview:dict = {
                    'text':'言·论',
                    'bg':'black',
                    'fg':'white'
                },
                settingbox:{}, #后文详细说明
                tracklist:{},
                operation:{},
                map:{},
            ```
            注：
            








